

**表1
use Panel_benchmark,clear
global control ln_pgdp ln_proad urban ln_information ln_wage ln_demand ln_human structure ln_fdi 

**列（1）
reghdfe ln_ESI ln_DGOV ,abs(i.cityid i.year) cl(cityid)
outreg2 using 表1, word replace dec(4) addtext(city, YES, year, YES)

**列（2）
reghdfe ln_ESI ln_DGOV ,abs(i.cityid i.year#i.pro) cl(cityid)
outreg2 using 表1, word append dec(4) addtext(city, YES, year-Pro, YES)

**列（3）
reghdfe ln_ESI ln_DGOV $control ,abs(i.cityid i.year) cl(cityid)
outreg2 using 表1, word append dec(4) addtext(city, YES, year, YES)

**列（4）
reghdfe ln_ESI ln_DGOV $control ,abs(i.cityid i.year#i.pro) cl(cityid)
outreg2 using 表1, word append dec(4) addtext(city, YES, year-pro, YES)


**表2
**列（1）
use Panel_IV1,clear
ivreghdfe ln_ESI (ln_DGOV=IV1) $control ,abs(i.cityid i.year#i.pro) r first savefirst 
estimates restore _ivreg2_ln_DGOV 
outreg2 using 表2.doc, dec(4) addtext(city, YES, year-pro, YES) replace

**列（2）
use Panel_IV2,clear
ivreghdfe ln_ESI (ln_DGOV=IV2) $control ,abs(i.cityid i.year#i.pro) r first savefirst 
estimates restore _ivreg2_ln_DGOV 
outreg2 using 表2.doc, dec(4) addtext(city, YES, year-pro, YES) append

**列（3）
use Panel_IV1,clear
ivreghdfe ln_ESI (ln_DGOV=IV1) $control ,abs(i.cityid i.year#i.pro) r first 
outreg2 using 表2.doc, word append dec(4) addtext(city, YES, year-pro, YES)

**列（4）
use Panel_IV2,clear
ivreghdfe ln_ESI (ln_DGOV=IV2) $control ,abs(i.cityid i.year#i.pro) r first
outreg2 using 表2.doc, word append dec(4) addtext(city, YES, year-pro, YES)



**表3
**列（1）
use Panel_ESI1999,clear
reghdfe ln_ESI1999 ln_DGOV $control ,abs(i.cityid i.year#i.pro) cl(cityid)
outreg2 using 表3, word replace dec(4) addtext(city, YES, year-pro, YES)

**列（2）
use Panel_ordinaryEX,clear
reghdfe ln_ESI_ordinary ln_DGOV $control ,abs(i.cityid i.year#i.pro) cl(cityid)
outreg2 using 表3, word append dec(4) addtext(city, YES, year-pro, YES)

**列（3）
use Panel_benchmark,clear
reghdfe ln_ESI ln_DGOV_LM $control ,abs(i.cityid i.year#i.pro) cl(cityid)
outreg2 using 表3, word append dec(4) addtext(city, YES, year-pro, YES)

**列（4）
use Panel_tfidf,clear
reghdfe ln_ESI TF_IDF $control, abs(i.cityid i.year#i.pro) cl(cityid)
outreg2 using 表3, word append dec(4) addtext(city, YES, year-pro, YES)

**列（5）
use Panel_ordinaryCT,clear
reghdfe ln_ESI ln_DGOV $control ,abs(i.cityid i.year#i.pro) cl(cityid)
outreg2 using 表3, word append dec(4) addtext(city, YES, year-pro, YES)

**列（6）
use Panel_benchmark,clear
reghdfe ln_ESI ln_DGOV $control lnTFP ,abs(i.cityid i.year#i.pro) cl(cityid)
outreg2 using 表3, word append dec(4) addtext(city, YES, year-pro, YES)


**表4
**列（1）
use Panel_benchmark,clear
reghdfe ln_ESI ln_DGOV $control if year<2008|year>2009 ,abs(i.cityid i.year#i.pro) cl(cityid)
outreg2 using 表4, word replace dec(4) addtext(city, YES, year-pro, YES)

**列（2）
reghdfe ln_ESI ln_DGOV $control HTZcity_HTZpost ,abs(i.cityid i.year#i.pro) cl(cityid)
outreg2 using 表4, word append dec(4) addtext(city, YES, year-pro, YES)

**列（3）
reghdfe ln_ESI ln_DGOV $control BRcity_BRpost ,abs(i.cityid i.year#i.pro) cl(cityid)
outreg2 using 表4, word append dec(4) addtext(city, YES, year-pro, YES)

**列（4）
use Panel_province,clear
global control_pro ln_gdp_pro ln_proad_pro urban_pro ln_information_pro human_pro ln_wage_pro structure_pro ln_demand_pro ln_fdi_pro 
reghdfe lnESI lnDGOV ,abs(pro year) vce(r)
outreg2 using 表4, word append dec(4) addtext(pro, YES, year, YES)

**列（5）
reghdfe lnESI lnDGOV $control_pro ,abs(pro year) vce(r)
outreg2 using 表4, word append dec(4) addtext(pro, YES, year, YES)

**列（6）
reghdfe lnESI lnDGOV $control_pro if year<2019,abs(pro year) vce(r)
outreg2 using 表4, word append dec(4) addtext(pro, YES, year, YES)


**表5
use Panel_benchmark,clear
global control ln_pgdp ln_proad urban ln_information ln_wage ln_demand ln_human structure ln_fdi 

**列（1）
reghdfe ln_ESI ln_DGOV lnDGOV_Ddivide $control ,abs(i.cityid i.year) vce(r)
outreg2 using 表5, word replace dec(4) addtext(city, YES, year, YES)

**列（2）
reghdfe ln_ESI ln_DGOV lnDGOV_east $control ,abs(i.cityid i.year) vce(r)
outreg2 using 表5, word append dec(4) addtext(city, YES, year, YES)

**列（3）
reghdfe ln_ESI ln_DGOV demographic lnDGOV_demo $control ,abs(i.cityid i.year) vce(r)
outreg2 using 表5, word append dec(4) addtext(city, YES, year, YES)


**表6
**列（1）
use Panel_innovation,clear
reghdfe innovation ln_DGOV $control ,abs(i.cityid i.year) vce(r)
outreg2 using 表6, word replace dec(4) addtext(city, YES, year, YES)

**列（2）
ivreghdfe innovation (ln_DGOV=IV2) $control ,abs(i.cityid i.year) r first
outreg2 using 表6, word append dec(4) addtext(city, YES, year, YES)

**列（3）
use Panel_interediateIM,clear
reghdfe inter ln_DGOV $control ,abs(i.cityid i.year) vce(r)
outreg2 using 表6, word append dec(4) addtext(city, YES, year, YES)

**列（4）
ivreghdfe inter (ln_DGOV=IV2) $control ,abs(i.cityid i.year) r first
outreg2 using 表6, word append dec(4) addtext(city, YES, year, YES)

**列（5）
use Panel_UNM,clear
reghdfe integ ln_DGOV ln_DGOV_square $control ,abs(i.cityid i.year) vce(r)
outreg2 using 表6, word append dec(4) addtext(city, YES, year, YES)

**列（6）
ivreghdfe integ (ln_DGOV ln_DGOV_square=IV2 IV2_square) $control ,abs(i.cityid i.year) r first
outreg2 using 表6, word append dec(4) addtext(city, YES, year, YES)


**表7
**列（1）
use Panel_ESIinter,clear
global control_D D.ln_pgdp D.ln_proad D.urban D.ln_information D.ln_wage D.ln_demand D.ln_human D.structure D.ln_fdi 
reghdfe ESIinter_D D.ln_DGOV $control_D ,abs(i.year) cl(cityid)
outreg2 using 表7, word replace dec(4) addtext(year, YES)

**列（2）
use Panel_ESIintra,clear
reghdfe ESIintra_D D.ln_DGOV $control_D ,abs(i.year) cl(cityid)
outreg2 using 表7, word append dec(4) addtext(year, YES)

**列（3）
use Panel_ESIee,clear
reghdfe ESIee_D D.ln_DGOV $control_D ,abs(i.year) cl(cityid)
outreg2 using 表7, word append dec(4) addtext(year, YES)


**表8
**列（1）
use Panel_smartcity,clear
global control ln_pgdp ln_proad urban ln_information ln_wage ln_demand ln_human structure ln_fdi 
reghdfe ln_ESI Smartcity_after,abs(i.cityid i.year) cl(cityid)
outreg2 using 表8, word replace dec(4) addtext(city, YES, year, YES)

**列（2）
reghdfe ln_ESI Smartcity_after $control ,abs(i.cityid i.year) cl(cityid)
outreg2 using 表8, word append dec(4) addtext(city, YES, year, YES)

**列（3）
use Panel_DDD,clear
reghdfe ln_ESI Smartcity_after_lnDGOV Smartcity_after lnDGOV,abs(i.cityid i.year) vce(r)
outreg2 using 表8, word append dec(4) addtext(city, YES, year, YES)

**列（4）
reghdfe ln_ESI Smartcity_after_lnDGOV Smartcity_after lnDGOV $control, abs(i.cityid i.year) vce(r)
outreg2 using 表8, word append dec(4) addtext(city, YES, year, YES)





